Subject: [mile] I-D Action: draft-ietf-mile-rfc5070-bis-04.txt

From: [email-masked]
Date: Fri, 17 Jan 2014 18:15:09 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Managed Incident Lightweight Exchange Working Group of the IETF.

        Title           : The Incident Object Description Exchange Format v2
        Authors         : Roman Danyliw
                          Paul Stoecker
	Filename        : draft-ietf-mile-rfc5070-bis-04.txt
	Pages           : 119
	Date            : 2014-01-17

Abstract:
   The Incident Object Description Exchange Format (IODEF) defines a
   data representation that provides a framework for sharing information
   commonly exchanged by Computer Security Incident Response Teams
   (CSIRTs) about computer security incidents.  This document describes
   the information model for the IODEF and provides an associated data
   model specified with XML Schema.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mile-rfc5070-bis/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-mile-rfc5070-bis-04

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-mile-rfc5070-bis-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Roman D. Danyliw" <[email-masked]>
Date: Sat, 18 Jan 2014 02:19:34 +0000

Good evening!

The following is the CHANGELOG for draft-ietf-mile-rfc5070bis-04:

** (schema) Removed Incident/ReportId from the schema per WG discussion (Issue #15)
** (schema) Reference EmailInfo with a ref in Service class
** (schema) Reference WindowsRegistryKeysModified with a ref in the RecordData class
** (schema) Rename EmailInfo/{Email,X-Mailer} to {EmailFrom,EmailX-Mailer}
** (schema) Added a missing @indicator-set-id to EmailInfo
** (schema) Added @indicator-id to Incident and EventData
** (schema) Renamed HashInformation@ext-category to @ext-type to fix a typo
** (schema) Renamed HashSigDetails complexType to HashInformation
** (schema) Reference HashInformation with a ref in the RecordData class
** (schema) Fixed schema error introduced in the -01 draft.  RecordData should have a HashInformation child class not FileInfo and ds:Reference
** (schema) Added Node/PostalAddress and rewrote text for Node/Location (Issue #11)
** (schema) Added AdditionalData@dtype="bytes" value
** (schema) Added Service/ApplicationHeader (Issue #26)
** (schema) Renamed WindowsRegistryKeysAction/Key/Value to KeyValue to be consistent with KeyName
** (schema) Renamed WindowsRegistryKeysAction/Key@ext-category to @ext-registryaction to fix typo
** (schema) Added IODEF-Document/AdditionalData
** (schema) Added {Expectation,HistoryItem}/DefinedCOA and @action="defined-coa" (Issue #32)
** (schema) Renamed RelatedDNS@ext-category to @ext-RecordType
** (editorial) Use xmlns:iodef="urn:ietf:params:xml:ns:iodef-2.0" in the namespace
** (editorial) Added text to Security Considerations to carefully parse executable content
** (editorial) Renamed Section 3.22 as WindowsRegistryKeysModified and corrected cardinality of aggregated classes
** (editorial) Removed @indicator-uid and @indicator-set-id from the text describing Key since they belong in the parent WindowsRegistryKeysModified
** (editorial) Changed RFC2822 reference to RFC5322
** (editorial) Added reference to registry keys for WindowsRegistryKeysAction
** (editorial) Consistently left aligned all diagrams
** (editorial) Added at least blank sections for all previously undocumented classes in the schema
** (editorial) Use reference names instead of numbers

Roman

-----Original Message-----
From: mile [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, January 17, 2014 9:15 PM
To: [email-masked]
Cc: [email-masked]
Subject: [mile] I-D Action: draft-ietf-mile-rfc5070-bis-04.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
mile mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mile